summaryrefslogtreecommitdiff
path: root/tests/input-tty
diff options
context:
space:
mode:
Diffstat (limited to 'tests/input-tty')
-rw-r--r--tests/input-tty10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/input-tty b/tests/input-tty
new file mode 100644
index 0000000..7df1515
--- /dev/null
+++ b/tests/input-tty
@@ -0,0 +1,10 @@
+# Require a controlling input `terminal'.
+
+tty -s || have_input_tty=no
+test -t 1 || have_input_tty=no
+if test "$have_input_tty" = no; then
+ echo "$0: This test must have a controlling input \`terminal'," 1>&2
+ echo " so it may not be run via \`batch', \`at', or \`rsh'." 1>&2
+ echo " On some systems, it may not even be run in the background." 1>&2
+ (exit 77); exit 77
+fi